/*
 * $Id$
 */
function remove(index, beanName)
{
    var url = "AuditReport.do?methodToCall=removeObjects";//NO I18N
    var params = "&beanName="+beanName+"&index="+index;//NO I18N
    AjaxAPI.sendRequest({URL:url,PARAMETERS:params});
}
function removeUsers(techId, beanName)
{
	var table = document.getElementById("_selTechTBody");
	var index = document.getElementById(techId+"_Row").rowIndex;
	table.deleteRow(index);	
	remove(index, beanName);
    if(eval(table.rows[0]))
    {
        var firstTechnician = table.rows[0].cells[0].innerHTML;
        firstTechnician = firstTechnician.substring(0,10)+"...";
        document.getElementById("firstTechnician").innerHTML=firstTechnician;
    }
    else
    {
        yreg_popLayer("selectedTechnicianList");//NO I18N
        document.getElementById("_selTechnicianList").style.display = 'none';
        document.getElementById("_allTechnicians").style.display = 'block';
    }
}

function setTechnicians(techIds, techNames, beanName)
{
    var selTechIds = "";
    for(var i=0; i< techIds.length; i++){
        if(i!=0) selTechIds +=";;;";
        selTechIds += techIds[i];
    }
    var url = "AuditReport.do?methodToCall=setObjects&beanName="+escape(beanName);
    var params = "";
    params += "&techIds="+selTechIds;//NO I18N
    params += "&beanName="+beanName;//NO I18N
    AjaxAPI.sendRequest({URL:url,PARAMETERS:params,ONSUCCESSFUNC:setSelectedTechnicians,ONFAILUREFUNC:errorMessage,TECHNICIANIDS:techIds,TECHNICIANNAMES:techNames,BEANNAME:beanName});
}

function setSelectedTechnicians(response, reqOptions)
{
    var req = response.transport;
    techIds = reqOptions["TECHNICIANIDS"];
    techNames = reqOptions["TECHNICIANNAMES"];
    beanName = reqOptions["BEANNAME"];
    var x = req.responseXML.getElementsByTagName('status');
    var messageType = x[0].getAttribute("messageType");
    var message = x[0].getAttribute("message");
    if(messageType=='Success')
    {
        if(techNames.length > 0)
        {
            document.getElementById("_allTechnicians").style.display = "none";
            var totalRow = document.getElementById('_selTechnicianTable').rows.length;
            var isNameUpdated = false;
            for(var i=0; i<techNames.length; i++)
            {
                var techId = techIds[i];
                var techName = techNames[i];
                if(!eval(document.getElementById(techId+"_Row")))
				{
                    var displayName = techName;
                    if(techName.length > 7){displayName = techName.substring(0, 7)+"...";}
                    
                    var newCell = document.getElementById('emptyCell').innerHTML;
                    newCell = newCell.replace(/%techId%/g, techId);
                    newCell = newCell.replace(/%beanName%/g, beanName);
                    var tr = document.createElement('tr');
                    tr.id = techId+"_Row";
                    tr.height='25px';
					var td = document.createElement('td');
					td.className="blacktxt";
                    td.innerHTML = techName;
                    td.width='85%';
					tr.appendChild(td);
					td = document.createElement('td');
					td.className = "delect-icon";
					td.valign ="middle";//NO I18N
					td.width='15%';
                    td.innerHTML = newCell;
                    tr.appendChild(td);
					document.getElementById('_selTechTBody').appendChild(tr);
                    if(!isNameUpdated && totalRow == 0)
					{
						document.getElementById("firstTechnician").innerHTML=techName;isNameUpdated = true;
                    }
                }
            }
            //Submit page to generate report when selecting technician
            /*if(beanName=='HDTAuditReportBean')
            {
                if(document.getElementById("CustomPeriod").style.display=='none')
                {
                    var obj = document.HDTAuditReportBean.submit();
                }
            }*/
            window.parent.closeDialog();
            document.getElementById('_selTechnicianList').style.display='';
        }
        else
            window.parent.closeDialog();
    }
    else
    {
        DWRUtil.getMessageString("admp.deleg.hdt_deleg.mod_hdt.alert_not_able_to_add_object", "", loc, function(message){alert(message);});//NO I18N
    }
}
function errorMessage(response, reqOptions)
{
	    DWRUtil.getMessageString("admp.common.alert.there_was_a_pbm_retrieving_XML_data", ''+req.statusText+'',loc,function(message){alert(message);});//NO I18N
}

function showProperties(objectId, objectName, objectDomain)
{
    var url = "ListProperties.do?objectId="+objectId+"&objectName="+encodeURIComponent(objectName)+"&objectDomain="+objectDomain;//NO I18N
	document.getElementById('loadingDiv').style.top = document.body.scrollTop+100;
    document.getElementById('loadingDiv').style.display = 'block';
    showURLInDialog(url, "title="+propTitle+",modal=yes, closeOnEscKey=yes, top=80, left=430, width=600, height=400, freezeLayerBGColor=#000B0B, position=absolute");  //NO I18N
}

function chooseTechnician(beanName)
{
    document.getElementById('chooseObjectFrame').src = "SelectHDT.do?beanName="+beanName;
    document.getElementById('chooseObjectFrame').style.display = 'block';//NO I18N
    showDialog(document.getElementById("chooseObject").innerHTML, "modal=yes, closeOnEscKey=yes,position=absolute,top=80,left=330,closeButton=yes,freezeLayerBGColor=#000000,width=585px,height=270px,title="+hdtTitle);//NO I18N
}

function HDTValidate()
{
    if(document.getElementById("schedulerName").value=="")
    {
        DWRUtil.getMessageString("admp.deleg.hdt_deleg.hdt_reports.enter_scheduler_name","",loc,function(message){alert(message);});//NO I18N
        return false;
    }
    if(!checkInputs())
    {
        return false;
    }
    if(document.getElementById("mailIds").value=="")
    {
        DWRUtil.getMessageString("admp.deleg.hdt_deleg.hdt_reports.please_enter_email_id","",loc,function(message){alert(message);});//NO I18N
        return false;
    }
    else if(document.getElementById("mailIds").value.indexOf('@')==-1)
    {
        DWRUtil.getMessageString("admp.admin.gen_settgs.server.alert.enter_valid_mail_address","",loc,function(message){alert(message);});//NO I18N
        return false;
    }
    if(!validateScheduleTime())
    {
        return false;
    }
}

function onTimeFilterChanged()
{
    if(eval(document.getElementById("period")))
    {
        var val = document.getElementById("period").value;
        if(val == 'customPeriod')
        {
            document.getElementById("CustomPeriod").style.display="block";
        }
        else
        {
            document.getElementById("CustomPeriod").style.display="none";
        }
    }
}

/*function onTimeSubmit()
{
    var val = document.getElementById("period").value;
    if(val == 'customPeriod')
    {
        document.getElementById("CustomPeriod").style.display="block";
        return false;
    }
    else
    {
        document.getElementById("CustomPeriod").style.display="none";
        if(checkInputs())
        {
            document.HDTAuditReportBean.submit();
        }
    }
}
function openFilter()
{
    if(document.getElementById("filter").style.display == "none")
    {
        document.getElementById("filter").style.display ="block";
    }
    else
    {
        document.getElementById("filter").style.display = "none";
    }
}*/

function generateReport()
{
	var formObj = document.HDTAuditReportBean;
	formObj.action += "&init=true";//NO I18N
	if(checkInputs())
	{
		formObj.submit();
	}
}

function checkInputs()
{
    /*if(document.getElementById("_selTechnicianList").style.display=='none')
    {
        DWRUtil.getMessageString("admp.deleg.hdt_deleg.hdt_reports.please_select_hdt_to_generate_report","",loc,function(message){alert(message);});//NO I18N
        return false;
    }*/
	//else
    if(document.getElementById("CustomPeriod").style.display=="block")
    {
        if(document.getElementById("startTime").value=='')
        {
            DWRUtil.getMessageString("admp.deleg.hdt_deleg.hdt_reports.please_select_start_time","",loc,function(message){alert(message);});//NO I18N
            return false;
        }
        else if(document.getElementById("endTime").value=='')
        {
            DWRUtil.getMessageString("admp.deleg.hdt_deleg.hdt_reports.please_select_end_time","",loc,function(message){alert(message);});//NO I18N
            return false;
        }
        else
        { 
            document.getElementById('startDate').value = document.getElementById('startTime').value;
            document.getElementById('endDate').value = document.getElementById('endTime').value;
            return true;
        }
    }
    else
    {
        return true;
    }
}

function sortByColumn(sortColumnName, ascending, url)
{
    location.href = url + "&sortColumn="+sortColumnName+"&isAscending="+ascending
}

function showhideSearch()
{
	var obj = document.getElementById("searchBox");
	if(obj.style.display=="none")
	{
		obj.style.display="";
	}
	else
	{
		obj.style.display="none";
	}
}
function searchReport(action)
{
	var str='';
	var checkVal = false;
	var searchObj = document.forms[0].elements;
	for(var i=0; i<searchObj.length;i++)	
	{
		var name = searchObj[i].name;
		var val = searchObj[i].value;
		var type = searchObj[i].type;
		if(type == 'text' && name.indexOf("search") != -1)
		{
		//	if(val != '')
			{
				checkVal = true;
				if(str != '') str += '&';
				str += name + "=" + encodeURIComponent(val);
			}
		}
	}
	if(!checkVal)
	{
		DWRUtil.getMessageString("admp.reports.common.alert.please_enter_some_search_text","",loc,function(message){alert(message);});//NO I18N
		return;
	}
	CreateAndSubmitForm('AuditReport.do?methodToCall=finish&selectedTab=delegation&selectedTile=auditReport&action='+action+'&search=true', window.parent.name, str); //NO I18N
}

function clearSearch(action)
{
	if(action=='generate')
	{
		location.href = 'AuditReport.do?methodToCall=finish&selectedTab=delegation&selectedTile=auditReport&action=generate';
	}
	else
	{
		location.href = 'AuditReport.do?methodToCall=finish&selectedTab=delegation&selectedTile=auditReport';
	}
}

function keyPressEvent(event, action)
{
	if(event && (event.keyCode== 13 || event.which == 13))
	{
		searchReport(action);
		return false;
	}
}
